# Default values for carpool.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

serviceAccount:
  # Specifies whether a service account should be created
  create: false
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

backend:
  replicaCount: 1

  image:
    repository: ${CI_REGISTRY_IMAGE}
    pullPolicy: IfNotPresent
    # Overrides the image tag whose default is the chart appVersion.
    tag: "${CI_COMMIT_REF_SLUG}_${CI_COMMIT_SHORT_SHA}"

  podAnnotations: {}

  podSecurityContext:
    fsGroup: 1000
    fsGroupChangePolicy: Always

  securityContext: {}

  service:
    type: ClusterIP
    port: 8080

  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  resources:
    requests:
      cpu: "100m"
      memory: "128Mi"
    limits:
      cpu: "4000m"
      memory: "1024Mi"

  volumes: []

  volumeMounts: []

  autoscaling:
    enabled: false
    minReplicas: 3
    maxReplicas: 10
    targetCPUUtilizationPercentage: 500
    targetMemoryUtilizationPercentage: 400

  nodeSelector: {}

  tolerations: []

  affinity: {}

  env: []
  # Example:
  # - name: TZ
  #   value: "Europe/Madrid"

ingress:
  enabled: true
  className: "nginx"

  config:
    tlsIssuer: "letsencrypt-issuer"
    deployHosts:
    - "carpool.k8sdev.example.int"

  annotations:
    cert-manager.io/cluster-issuer: "{{ .Values.ingress.config.tlsIssuer }}"
    nginx.ingress.kubernetes.io/force-ssl-redirect: "false"
    nginx.ingress.kubernetes.io/ssl-redirect: "false"
